import { Button } from '@mui/material';
import React from 'react';
import { useNavigate } from 'react-router-dom';
import '../../../tailwind.css';

import error404svg from './error404.svg';
export const UiError404: React.FC = () => {
  const navigate = useNavigate();

  return (
    <div
      className={
        'flex items-center justify-center w-100 h-screen overflow-auto pb-[100px]'
      }
    >
      <div
        className={
          'flex flex-col md:flex-row items-center justify-between h-[193px]'
        }
      >
        <div
          className={
            'pb-2 flex flex-col justify-between h-full  order-2 md:order-none md:mr-[60px]'
          }
        >
          <div className="mb-4 md:m-0">
            <h2 className="text-[50px] font-semibold leading-[68px] mt-[17px]">
              Упс!
            </h2>
            <h3 className="text-[20px] font-semibold leading-27px">
              Страница не найдена
            </h3>
          </div>
          <Button onClick={() => navigate(-1)} color="secondary">
            Вернуться назад
          </Button>
        </div>
        <div className={'mb-[12px] md:m-0'}>
          <img src={error404svg} alt="404 icon" />
        </div>
      </div>
    </div>
  );
};
